package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.TbArea;

/**
 * 地区
Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface TbAreaMapper 
{
    /**
     * 查询地区

     * 
     * @param areaId 地区
主键
     * @return 地区

     */
    public TbArea selectTbAreaByAreaId(Long areaId);

    /**
     * 查询地区
列表
     * 
     * @param tbArea 地区

     * @return 地区
集合
     */
    public List<TbArea> selectTbAreaList(TbArea tbArea);

    /**
     * 新增地区

     * 
     * @param tbArea 地区

     * @return 结果
     */
    public int insertTbArea(TbArea tbArea);

    /**
     * 修改地区

     * 
     * @param tbArea 地区

     * @return 结果
     */
    public int updateTbArea(TbArea tbArea);

    /**
     * 删除地区

     * 
     * @param areaId 地区
主键
     * @return 结果
     */
    public int deleteTbAreaByAreaId(Long areaId);

    /**
     * 批量删除地区

     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbAreaByAreaIds(String[] areaIds);
}
